# Interface IDelayedInputChangeProvider

public interface IDelayedInputChangeProvider
A delayed input change provider notifies the registered `IInputChangedListener` about input changes that occur after the normal operation of the provider.

Clients can implement that interface and its extension interfaces.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`void`
`setDelayedInputChangeListener(IInputChangedListener inputChangeListener)`
Sets or clears the delayed input change listener.

## Method Details

### setDelayedInputChangeListener

void setDelayedInputChangeListener(IInputChangedListener inputChangeListener)
Sets or clears the delayed input change listener.

Parameters:
  `inputChangeListener` - the new delayed input change listener, or `null` if none
Since:
  3.4